Subject: [Detnet] IP Data plane: 5-tuple vs. 6-tuple - proposed text

From: "Black, David" <[email-masked]>
Date: Wed, 24 Jul 2019 20:30:06 +0000

I think I found a way out of the rathole that I caused on this topic in the meeting ...

Here's the second paragraph in Section 3 of the IP Data Plane draft (https://tools.ietf.org/html/draft-ietf-detnet-ip-01#section-3):

   The DetNet IP data plane uses "6-tuple" based flow identification,

   where 6-tuple refers to information carried in IP and higher layer

   protocol headers.  The 6-tuple referred to in this document is the

   same as that defined in [RFC3290<https://tools.ietf.org/html/rfc3290>].  Specifically 6-tuple is

   (destination address, source address, IP protocol, source port,

   destination port, and differentiated services (DiffServ) code point

   (DSCP).  General background on the use of IP headers, and 5-tuples,

   to identify flows and support Quality of Service (QoS) can be found

   in [RFC3670<https://tools.ietf.org/html/rfc3670>].  [RFC7657<https://tools.ietf.org/html/rfc7657>] also provides useful background on the

   delivery of DiffServ and "tuple" based flow identification.

   Referring to a 6-tuple allows DetNet nodes to forward packets with

   the 6-tuple as is or remap the DSCP where required by the DetNet

   service.

The following small change suffices to address the roles of 5-tuples vs. 6-tuples:

OLD

   Referring to a 6-tuple allows DetNet nodes to forward packets with

   the 6-tuple as is or remap the DSCP where required by the DetNet

   service.
NEW

   While 5-tuples suffice to identify DetNet flows, using 6-tuples

   enables DetNet nodes to forward packets with an unchanged 6-tuple

   or with a changed DSCP where required by the DetNet service.

Thanks, --David
----------------------------------------------------------------
David L. Black, Senior Distinguished Engineer
Dell EMC, 176 South St., Hopkinton, MA  01748
+1 (774) 350-9323 New    Mobile: +1 (978) 394-7754
[email-masked]<mailto:[email-masked]>
----------------------------------------------------------------

---

From: Lou Berger <[email-masked]>
Date: Thu, 25 Jul 2019 11:04:33 -0400

Hi David,

Thank you for the text. See below.

On 7/24/2019 4:30 PM, Black, David wrote:
> I think I found a way out of the rathole that I caused on this topic 
> in the meeting ....
> Here’s the second paragraph in Section 3 of the IP Data Plane draft 
> (https://tools.ietf.org/html/draft-ietf-detnet-ip-01#section-3):
>     same as that defined in [RFC3290  <https://tools.ietf.org/html/rfc3290>].  Specifically 6-tuple is
>     in [RFC3670  <https://tools.ietf.org/html/rfc3670>].  [RFC7657  <https://tools.ietf.org/html/rfc7657>] also provides useful background on the
Are you okay with dropping "While 5-tuples suffice to identify DetNet 
flows,"

Thanks,

Lou

> +1 (774) 350-9323 *New *   Mobile: +1 (978) 394-7754
>
> [email-masked] <mailto:[email-masked]>
>
> _______________________________________________
> detnet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/detnet

---

From: "Black, David" <[email-masked]>
Date: Thu, 25 Jul 2019 19:59:13 +0000

> Are you okay with dropping "While 5-tuples suffice to identify DetNet flows,"
Not by itself - if that text is dropped, I'd want to add a couple of sentences (perhaps not in Section 3) to explain how DetNet flows differ from Diffserv flows, i.e., "microflows" in defined in RFC 2475 (Diffserv Architecture).

If that's ok, I can go write some proposed text ...

Thanks, --David

From: Lou Berger <[email-masked]>
Sent: Thursday, July 25, 2019 11:05 AM
To: Black, David; [email-masked]
Subject: Re: [Detnet] IP Data plane: 5-tuple vs. 6-tuple - proposed text

[EXTERNAL EMAIL]

Hi David,

I think I found a way out of the rathole that I caused on this topic in the meeting ....

   service.

OLD

   service.
NEW

Are you okay with dropping "While 5-tuples suffice to identify DetNet flows,"

Thanks,

Lou

Thanks, --David

detnet mailing list

[email-masked]<mailto:[email-masked]>